//MyKeypad_I2C.h

#ifndef MyKeypad_I2C_h
#define MyKeypad_I2C_h

#define defined_ATtiny (defined(__AVR_ATtiny45__) || defined(__AVR_ATtiny85__) || defined(__AVR_ATtiny84__))

#if defined_ATtiny
  #include "TinyWireM.h"
  #define Wire TinyWireM
#else
  #include <Wire.h>
#endif

#include "Arduino.h"

class MyKeypad_I2C
{
  public:
    MyKeypad_I2C(byte);
    void setKeyCode(byte, byte);
    void clearAllKeyCodes(void);
    bool isReady(void);
    byte receiveKey(int8_t);
    void checkKey(void);
	void printKeyCodes(void);
                 
  private:
    byte _i2cAdd;
    byte keyCode[16];
    byte outByte[4];
};

#endif